<?php
//*************************************************************************************************
//
//		USER AD PRODUCT FUNCTIONS
//	
//*************************************************************************************************

	function addFeaturedSite($msg, $userId, $startDate, $length, $websiteName, $logoURL, $description)
	{
		$arrCheckEmpty = array('userId', 'startDate', 'length', 'websiteName', 'logoURL', 'description');
		foreach ( $arrCheckEmpty as $field )
		{
			if ( $$field == "" )
			{
				$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -addFeaturedSite-";
				return 0;
			}
		}

		$websiteName			= handleSingleQuote($websiteName);
		$logoURL				= handleSingleQuote($logoURL);
		$description			= handleSingleQuote($description);

		$newId			= getNextId("FEATURED_SITE");

		$res = executeUpdate("INSERT INTO ".PREFIX."FEATURED_SITE (ID, USERID, START_DATE, LENGTH, WEBSITE_NAME, LOGO_URL, DESCRIPTION, CREATED_ON) VALUES('".$newId."', '".$userId."', '".$startDate."', '".$length."', '".$websiteName."', '".$logoURL."', '".$description."', '".getTimezoneTime($TIMEZONE)."')");

		if ( $res > 0 )
		{
			$msg = '2';
			return 1;
		}
		else
		{
			$msg = '6';
			return 0;
		}
	}


//*************************************************************************************************

	// $isUpdateAll is used to update all columns (except ENUM columns) even if the value is empty. 
	// It is usually called in the update where TEXT values can be reset.
	//
	function updateFeaturedSite($msg, $id, $userId, $startDate, $length, $websiteName, $logoURL, $description, $isValid="", $approved="", $display="", $isUpdateAll=0)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -updateFeaturedSite-";
			return 0;
		}

		if ( $isUpdateAll == 1 )
		{
			$arrCheckEmpty = array('userId', 'startDate', 'length', 'websiteName', 'logoURL', 'isValid', 'approved', 'display');
			foreach ( $arrCheckEmpty as $field )
			{
				if ( $$field == "" )
				{
					$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -updateUserAdProduct-";
					return 0;
				}
			}
		}

		$websiteName			= handleSingleQuote($websiteName);
		$logoURL				= handleSingleQuote($logoURL);
		$description			= handleSingleQuote($description);

		$sql = "UPDATE ".PREFIX."FEATURED_SITE SET ";
		
		if ( $isUpdateAll == 1 || $userId != "" )			$sql .= "USERID = '".$userId."', ";
		if ( $isUpdateAll == 1 || $startDate != "" )		$sql .= "START_DATE = '".$startDate."', ";
		if ( $isUpdateAll == 1 || $length != "" )			$sql .= "LENGTH = '".$length."', ";
		if ( $isUpdateAll == 1 || $websiteName != "" )		$sql .= "WEBSITE_NAME = '".$websiteName."', ";
		if ( $isUpdateAll == 1 || $logoURL != "" )			$sql .= "LOGO_URL = '".$logoURL."', ";
		if ( $isUpdateAll == 1 || $description != "" )		$sql .= "DESCRIPTION = '".$description."', ";
		if ( $isValid != "" )								$sql .= "ISVALID = '".$isValid."', ";
		if ( $approved != "" )								$sql .= "APPROVED = '".$approved."', ";
		if ( $display != "" )								$sql .= "DISPLAY = '".$display."', ";

		$sql .= "POS = POS WHERE ID = '".$id."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function deleteFeaturedSite($msg, $id)
	{
		if ( $id == "" )
		{
			$msg = "Empty Id passed. -deleteFeaturedSite-";
			return 0;
		}

		$display = getColumn("FEATURED_SITE", $id, "DISPLAY");
		executeUpdate("DELETE FROM ".PREFIX."FEATURED_SITE WHERE ID='".$id."'");
		if ( $display == 'Y' )
		{
			$res = executeQuery("SELECT ID FROM ".PREFIX."FEATURED_SITE WHERE ISVALID='Y' AND APPROVED='Y' AND DISPLAY='N' ORDER BY START_DATE");
			if ( $row = getRow($res) )
				executeUpdate("UPDATE ".PREFIX."FEATURED_SITE SET DISPLAY='Y' WHERE ID=".$row['ID']);
		}

		$filepath = PATH.'upload/featured/'.$id.'.jpg';
		if ( file_exists($filepath) )
			@unlink($filepath);

		$msg  = "4";
	}

//*************************************************************************************************
?>