<?php

//
//		PROTX CONSTANTS
//
//***********************************************************************************

		require (PATH."include/payment_constants.php"); 
		require (PATH."include/include_2checkout.php"); 

//***********************************************************************************

	// Test Site Parameters
	/*
	define("PROTX_VERIFY", false);
	define("PROTX_PURCHASE_URL", "https://ukvpstest.protx.com/vps2form/submit.asp");
	*/

	// Live Site Parameters
	
	define("PROTX_VERIFY", true);
	define("PROTX_PURCHASE_URL", "https://ukvps.protx.com/vps2form/submit.asp");
	

	// Other Defines
	define("PROTX_VENDOR",				PROTX_VENDOR);
	define("PROTX_ENCRYPTION_PASSWORD",	PROTX_ENCRYPTION_PASSWORD);
	define("PROTX_PROTOCOL_VERSION",	"2.22");
	define("PROTX_DEFAULT_CURRENCY",	"GBP");
	define("PROTX_TXTYPE",				"PAYMENT");

//***********************************************************************************
//
//		PROTX FUNCTIONS
//
//***********************************************************************************

	function base64Encode($plain) {
	  // Initialise output variable
	  $output = "";
	  
	  // Do encoding
	  $output = base64_encode($plain);
	  
	  // Return the result
	  return $output;
	}

//***********************************************************************************

	function base64Decode($scrambled) {
	  // Initialise output variable
	  $output = "";
	  
	  // Fix plus to space conversion issue
	  $scrambled = str_replace(" ","+",$scrambled);
	  
	  // Do encoding
	  $output = base64_decode($scrambled);
	  
	  // Return the result
	  return $output;
	}

//***********************************************************************************

	function simpleXor($InString, $Key) {
	  // Initialise key array
	  $KeyList = array();
	  // Initialise out variable
	  $output = "";
	  
	  // Convert $Key into array of ASCII values
	  for($i = 0; $i < strlen($Key); $i++){
		$KeyList[$i] = ord(substr($Key, $i, 1));
	  }

	  // Step through string a character at a time
	  for($i = 0; $i < strlen($InString); $i++) {
		// Get ASCII code from string, get ASCII code from key (loop through with MOD), XOR the two, get the character from the result
		// % is MOD (modulus), ^ is XOR
		$output.= chr(ord(substr($InString, $i, 1)) ^ ($KeyList[$i % strlen($Key)]));
	  }

	  // Return the result
	  return $output;
	}

//***********************************************************************************

	function getToken($thisString) {

	  // List the possible tokens
	  $Tokens = array(
		"Status",
		"StatusDetail",
		"VendorTxCode",
		"VPSTxId",
		"TxAuthNo",
		"Amount",
		"AVSCV2", 
		"AddressResult", 
		"PostCodeResult", 
		"CV2Result", 
		"GiftAid", 
		"3DSecureStatus", 
		"CAVV" );

	  // Initialise arrays
	  $output = array();
	  $resultArray = array();
	  
	  // Get the next token in the sequence
	  for ($i = count($Tokens)-1; $i >= 0 ; $i--){
		// Find the position in the string
		$start = strpos($thisString, $Tokens[$i]);
		// If it's present
		if ($start !== false){
		  // Record position and token name
		  $resultArray[$i]->start = $start;
		  $resultArray[$i]->token = $Tokens[$i];
		}
	  }
	  
	  // Sort in order of position
	  sort($resultArray);

	  // Go through the result array, getting the token values
	  for ($i = 0; $i<count($resultArray); $i++){
		// Get the start point of the value
		$valueStart = $resultArray[$i]->start + strlen($resultArray[$i]->token) + 1;
		// Get the length of the value
		if ($i==(count($resultArray)-1)) {
		  $output[$resultArray[$i]->token] = substr($thisString, $valueStart);
		} else {
		  $valueLength = $resultArray[$i+1]->start - $resultArray[$i]->start - strlen($resultArray[$i]->token) - 2;
		  $output[$resultArray[$i]->token] = substr($thisString, $valueStart, $valueLength);
		}      

	  }

	  // Return the ouput array
	  return $output;

	}

//***********************************************************************************

	function randomise() {
		list($usec, $sec) = explode(' ', microtime());
		return (float) $sec + ((float) $usec * 100000);
	}

//***********************************************************************************

	function protxPayment($title, $amount, $success, $cancel)
	{
		if ( PAYMENT_TYPE == 1 )		// Paypal
		{
			return paypalDonation($title, $amount, $success, $cancel);
		}
		elseif ( PAYMENT_TYPE == 3 )	// 2Checout
		{
			return twoCheckoutPayment(PAYMENT_2CHECKOUT_ID, $title, $amount, $success, $cancel);
		}
		
		// None of above PAYMENT_TYPE means its protx
		global $ROOT;

		$VendorTxcode = "Test".(rand(0,32000)*rand(0,32000));

		$stuff = "VendorTxCode=" . $VendorTxcode . "&";
		$stuff .= "Amount=" . $amount . "&";
		$stuff .= "Currency=" . PROTX_DEFAULT_CURRENCY . "&";
		$stuff .= "Description=" . $title . "&";
		$stuff .= "SuccessURL=" . $ROOT . $success . "&";
		$stuff .= "FailureURL=" . $ROOT . $cancel . "&";

		$stuff .= "EMailMessage=You can put your own message in here.";

		$crypt = base64Encode(SimpleXor($stuff, PROTX_ENCRYPTION_PASSWORD));

		$out = "
	
			<html>
				<body onLoad='Javascript:document.F.submit();'>
					<center>
						<font face='Verdana, Arial, Helvetica, sans-serif'>Please Wait...</font>

						<form name='F' action='". PROTX_PURCHASE_URL ."' method='POST'>
							<input type='hidden' name='VPSProtocol' value='". PROTX_PROTOCOL_VERSION ."'>
							<input type='hidden' name='TxType' value='". PROTX_TXTYPE ."'>
							<input type='hidden' name='Vendor' value='". PROTX_VENDOR ."'>
							<input type='hidden' name='Crypt' value='". $crypt ."'>
						</form>					
					</center>
				</body>
				
			</html>";

			return $out;			
	}

//***********************************************************************************

	function protx_addOptionalFields( $source, $target, $fields )
	{
		$result = $target;
		foreach ( $fields as $field )
		{
			if ( trim( $source[ $field ] ) != '' )
			{
				$result[ $field ] = $source[ $field ];
			}
		}
		return $result;
	}

//***********************************************************************************

	function protx_formatData($data)
	{
		// Initialise output variable
		$output = "";

		// Step through the fields
		foreach($data as $key => $value)
		{
			// Stick them together as key=value pairs (url encoded)
			$output .= "&" . $key . "=". urlencode($value);
		}

		// Kludge to take out the initial &
		$output = substr($output,1);

		// Return the output
		return $output;
	}

//***********************************************************************************

	function protx_requestPost($url, $data)
	{
		// Set a one-minute timeout for this script
		set_time_limit(60);

		// Initialise output variable
		$output = array();

		// Open the cURL session
		$curlSession = curl_init();

		// Set the URL
		curl_setopt ($curlSession, CURLOPT_URL, $url);
		// No headers, please
		curl_setopt ($curlSession, CURLOPT_HEADER, 0);
		// It's a POST request
		curl_setopt ($curlSession, CURLOPT_POST, 1);
		// Set the fields for the POST
		curl_setopt ($curlSession, CURLOPT_POSTFIELDS, $data);
		// Return it direct, don't print it out
		curl_setopt($curlSession, CURLOPT_RETURNTRANSFER,1); 
		// This connection will timeout in 30 seconds
		curl_setopt($curlSession, CURLOPT_TIMEOUT,30); 
		//The next two lines must be present for the kit to work with newer version of cURL
		//You should remove them if you have any problems in earluer version of cURL
		curl_setopt($curlSession, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($curlSession, CURLOPT_SSL_VERIFYHOST, 1);

		//Send the request and store the result in an array
		$response = split(chr(10),curl_exec ($curlSession));

		// Check that a connection was made
		if (curl_error($curlSession)){
			// If it wasn't...
			$output['Status'] = "FAIL";
			$output['StatusDetail'] = curl_error($curlSession);
		}

		// Close the cURL session
		curl_close ($curlSession);

		// Tokenise the response
		for ($i=0; $i<count($response); $i++){
			// Find position of first "=" character
			$splitAt = strpos($response[$i], "=");
			// Create an associative (hash) array with key/value pairs ('trim' strips excess whitespace)
			$output[trim(substr($response[$i], 0, $splitAt))] = trim(substr($response[$i], ($splitAt+1)));
		} // END for ($i=0; $i<count($response); $i++)

		// Return the output
		return $output;
	}

//***********************************************************************************

?>