<?php
//*************************************************************************************************
//
//		WEBMASTER FUNCTIONS
//	
//*************************************************************************************************

	function addUser($msg, $userId, $password, $confirmPassword, $companyName, $firstName, $lastName, $address, $city, $state, $country, $zip, $phone, $email, $paymentType, $checksPayableTo, $paypalEmail, $isValid='Y')
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -addUser-";
			return 0;
		}

		if ( ereg('[^A-Za-z0-9\.\_]', $userId) )
		{
			$msg = "Invalid characters in UserID. UserID can only contain alphanumeric characters, a dot (.) or an underscore (_). Please provide another userId and then retry. -addUser-";
			return 0;
		}

		if ( $password == "" || $confirmPassword == "" )
		{
			$msg = "Empty Password or ConfirmPassword entered. Please provide it and then retry. -addUser-";
			return 0;
		}

		if ( $firstName == "" )
		{
			$msg = "Empty first name entered. Please provide name and then retry. -addUser-";
			return 0;
		}

		if ( $lastName == "" )
		{
			$msg = "Empty last name entered. Please provide name and then retry. -addUser-";
			return 0;
		}

		if ( $email == "" )
		{
			$msg = "Empty email address entered. Please provide a valid email address and then retry. -addUser-";
			return 0;
		}

		if ( $password != $confirmPassword )
		{
			$msg = "Password and ConfirmPassword do not match. Please retype both passwords carefully and then retry. -addUser-";
			return 0;
		}

		if ( $userId == "admin" || $userId == "buyer" || $userId == "seller" )
		{
			$msg = "You cannot register with a reserved UserID. Please retry with another userId. -addUser-";
			return 0;
		}

		if ( $row = getRecord("USER", $userId, "USERID") || $row = getRecord("USERINFO", $userId, "USERID") )
		{
			$msg = "UserID already exists in database. Please register with another userId. -addUser-";
			return 0;
		}

		if ( $row = getRecord("USERINFO", $email, "EMAIL") )
		{
			$msg = "Email address already exists, please specify another email address.<br>If you have already registered with us please use 'forgot password form' to retrive your password. -addUser-";
			return 0;
		}

		$firstName			= handleSingleQuote($firstName);
		$lastName			= handleSingleQuote($lastName);
		$address			= handleSingleQuote($address);

		$res = executeUpdate("INSERT INTO `".PREFIX."USER` (USERID, PASSWORD, REGISTERATION_DATE, ISVALID) VALUES('".$userId."', '".encrypt($password)."', '".getTimezoneTime($TIMEZONE)."', '".$isValid."')");

		if ( $res > 0 )
		{
			$res = executeUpdate("INSERT INTO ".PREFIX."USERINFO (USERID, COMPANY_NAME, FIRST_NAME, LAST_NAME, ADDRESS, CITY, STATE, COUNTRY, ZIP, PHONE, EMAIL, PAYMENT_TYPE, CHECKS_PAYABLE_TO, PAYPAL_EMAIL) VALUES ('".$userId."', '".$companyName."', '".$firstName."', '".$lastName."', '".$address."', '".$city."', '".$state."', '".$country."', '".$zip."', '".$phone."', '".$email."', '".$paymentType."', '".$checksPayableTo."', '".$paypalEmail."')");
			
			$res += executeUpdate("INSERT INTO ".PREFIX."USERINFO_BUYER (USERID, FIRST_NAME, LAST_NAME, ADDRESS, CITY, STATE, COUNTRY, ZIP, PHONE, EMAIL) VALUES ('".$userId."', '".$firstName."', '".$lastName."', '".$address."', '".$city."', '".$state."', '".$country."', '".$zip."', '".$phone."', '".$email."')");
			
			if ( $res > 0 )
			{
				if ( $res > 0 )
				{
					$newWebsiteId = getNextId("USER_WEBSITE");
					$res = executeUpdate("INSERT INTO ".PREFIX."USER_WEBSITE (ID, USERID) VALUES ('".$newWebsiteId."', '".$userId."')");
					$res = executeUpdate("INSERT INTO ".PREFIX."USER_AD_PREFERENCES (WEBSITE_ID, USERID, LAST_UPDATED) VALUES ('".$newWebsiteId."', '".$userId."', '".getTimezoneTime($TIMEZONE)."')");
					
					makeFolder("upload/users/".$userId);

					if ( file_exists(PATH.'upload/users/'.$userId) )
					{
						$msg = 'Registeration process completed successfully';
						return 1;
					}
					else
					{
						$msg = 'Registeration process failed. Partial record only inserted.<br>Please contact webmaster for further assistance.<br>ECode:-addUser-03';
						return 0;
					}
				}
				else
				{
					$msg = 'Registeration process failed. Partial record only inserted.<br>Please contact webmaster for further assistance.<br>ECode:-addUser-04';
					return 0;
				}
			}
			else
			{
				$msg = 'Registeration process failed. Partial record only inserted.<br>Please contact webmaster for further assistance.<br>ECode:-addUser-02';
				return 0;
			}
		}
		else
		{
			$msg = 'Registeration Failed. Record could not be inserted.<br>Please retry. If problem persists please contact webmaster for further assistance.<br>ECode:-addUser-01';
			return 0;
		}	
	}


//*************************************************************************************************

	function updateUserPassword($msg, $userId, $oldPassword, $password, $confirmPassword, $forceUpdate=0)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserPassword-";
			return 0;
		}

		if ( !($userRec = getRecord("USER", $userId, "USERID")) )
		{
			$msg = "UserID not found. Please provide correct userId and then retry. -updateUserPassword-";
			return 0;
		}

		if ( $forceUpdate == 0 )
		{
			if ( $oldPassword == "" )
			{
				$msg = "Empty old password entered. Please provide it and then retry. -updateUserPassword-";
				return 0;
			}

			if ( $oldPassword != decrypt($userRec['PASSWORD']) )
			{
				$msg = "Old password do not match. Please provide correct old password and then retry. -updateUserPassword-";
				return 0;
			}
		}

		if ( $password == "" )
		{
			$msg = "Empty new password entered. Please provide it and then retry. -updateUserPassword-";
			return 0;
		}

		if ( $confirmPassword == "" )
		{
			$msg = "Empty confirm password entered. Please provide it and then retry. -updateUserPassword-";
			return 0;
		}

		if ( $password != $confirmPassword )
		{
			$msg = "New passwords dont match entered. -updateUserPassword-";
			return 0;
		}


		$sql = "UPDATE ".PREFIX."USER SET PASSWORD='".encrypt($password)."' WHERE USERID = '".$userId."'";
		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	// $isUpdateAll is used to update all columns (except ENUM columns) even if the value is empty. 
	// It is usually called in the update where TEXT values can be reset.
	//
	function updateUserSellerProfile($msg, $userId, $companyName, $firstName, $lastName, $address, $city, $state, $country, $zip, $phone, $email, $paymentType, $checksPayableTo, $paypalEmail, $isUpdateAll=0)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserProfile-";
			return 0;
		}

		$firstName			= handleSingleQuote($firstName);
		$lastName			= handleSingleQuote($lastName);
		$address			= handleSingleQuote($address);

		if ( $isUpdateAll == 1 )
		{
			if ( $firstName == "" )
			{
				$msg = "Empty first name entered. Please provide name and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $lastName == "" )
			{
				$msg = "Empty last name entered. Please provide name and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $email == "" )
			{
				$msg = "Empty email address entered. Please provide a valid email address and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $paymentType == "" )
			{
				$msg = "Empty payment type entered. Please provide a valid payment type and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $paymentType == "C" && $checksPayableTo == "" )
			{
				$msg = "Empty check payable to entered. Please provide correct information and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $paymentType == "P" && $paypalEmail == "" )
			{
				$msg = "Empty PayPal Email entered. Please provide correct information and then retry. -updateUserProfile-";
				return 0;
			}
		}

		$sql = "UPDATE ".PREFIX."USERINFO SET ";
		
		if ( $isUpdateAll == 1 || $companyName != "" )
			$sql .= "COMPANY_NAME = '".$companyName."', ";

		if ( $isUpdateAll == 1 || $firstName != "" )
			$sql .= "FIRST_NAME = '".$firstName."', ";

		if ( $isUpdateAll == 1 || $lastName != "" )
			$sql .= "LAST_NAME = '".$lastName."', ";

		if ( $isUpdateAll == 1 || $address != "" )
			$sql .= "ADDRESS = '".$address."', ";

		if ( $isUpdateAll == 1 || $city != "" )
			$sql .= "CITY = '".$city."', ";

		if ( $isUpdateAll == 1 || $state != "" )
			$sql .= "STATE = '".$state."', ";

		if ( $isUpdateAll == 1 || $country != "" )
			$sql .= "COUNTRY = '".$country."', ";

		if ( $isUpdateAll == 1 || $zip != "" )
			$sql .= "ZIP = '".$zip."', ";

		if ( $isUpdateAll == 1 || $phone != "" )
			$sql .= "PHONE = '".$phone."', ";

		if ( $isUpdateAll == 1 || $email != "" )
			$sql .= "EMAIL = '".$email."', ";

		if ( $isUpdateAll == 1 || $paymentType != "" )
			$sql .= "PAYMENT_TYPE = '".$paymentType."', ";

		if ( $isUpdateAll == 1 || $checksPayableTo != "" )
			$sql .= "CHECKS_PAYABLE_TO = '".$checksPayableTo."', ";

		if ( $isUpdateAll == 1 || $paypalEmail != "" )
			$sql .= "PAYPAL_EMAIL = '".$paypalEmail."', ";

		$sql .= "LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE USERID = '".$userId."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	// $isUpdateAll is used to update all columns (except ENUM columns) even if the value is empty. 
	// It is usually called in the update where TEXT values can be reset.
	//
	function updateUserBuyerProfile($msg, $userId, $firstName, $lastName, $address, $city, $state, $country, $zip, $phone, $email, $isUpdateAll=0)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserProfile-";
			return 0;
		}

		$firstName			= handleSingleQuote($firstName);
		$lastName			= handleSingleQuote($lastName);
		$address			= handleSingleQuote($address);

		if ( $isUpdateAll == 1 )
		{
			if ( $firstName == "" )
			{
				$msg = "Empty first name entered. Please provide name and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $lastName == "" )
			{
				$msg = "Empty last name entered. Please provide name and then retry. -updateUserProfile-";
				return 0;
			}

			if ( $email == "" )
			{
				$msg = "Empty email address entered. Please provide a valid email address and then retry. -updateUserProfile-";
				return 0;
			}
		}

		$sql = "UPDATE ".PREFIX."USERINFO_BUYER SET ";
		
		if ( $isUpdateAll == 1 || $firstName != "" )
			$sql .= "FIRST_NAME = '".$firstName."', ";

		if ( $isUpdateAll == 1 || $lastName != "" )
			$sql .= "LAST_NAME = '".$lastName."', ";

		if ( $isUpdateAll == 1 || $address != "" )
			$sql .= "ADDRESS = '".$address."', ";

		if ( $isUpdateAll == 1 || $city != "" )
			$sql .= "CITY = '".$city."', ";

		if ( $isUpdateAll == 1 || $state != "" )
			$sql .= "STATE = '".$state."', ";

		if ( $isUpdateAll == 1 || $country != "" )
			$sql .= "COUNTRY = '".$country."', ";

		if ( $isUpdateAll == 1 || $zip != "" )
			$sql .= "ZIP = '".$zip."', ";

		if ( $isUpdateAll == 1 || $phone != "" )
			$sql .= "PHONE = '".$phone."', ";

		if ( $isUpdateAll == 1 || $email != "" )
			$sql .= "EMAIL = '".$email."', ";

		$sql .= "LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE USERID = '".$userId."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function updateUserAdPreferences($msg, $websiteId, $userId, $noOfAdsAtATime, $headlineLen, $descriptionLen)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserAdPreferences-";
			return 0;
		}

		if ( $row = getRecord("USER_AD_PREFERENCES", $websiteId, "WEBSITE_ID") )
			$sql = "UPDATE ".PREFIX."USER_AD_PREFERENCES SET NO_OF_ADS_AT_A_TIME = '".$noOfAdsAtATime."', HEADLINE_LEN = '".$headlineLen."', DESCRIPTION_LEN = '".$descriptionLen."', LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE WEBSITE_ID = '".$websiteId."' AND USERID = '".$userId."'";
		else
			$sql = "INSERT INTO ".PREFIX."USER_AD_PREFERENCES (WEBSITE_ID, USERID, NO_OF_ADS_AT_A_TIME, HEADLINE_LEN, DESCRIPTION_LEN, LAST_UPDATED) VALUES('".$websiteId."', '".$userId."', '".$noOfAdsAtATime."', '".$headlineLen."', '".$descriptionLen."', '".getTimezoneTime($TIMEZONE)."')";

		
		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function addUserWebsite($msg, $userId, $name, $url, $description, $categoryId, $websiteTags)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -addUserWebsite-";
			return 0;
		}

		$name			= handleSingleQuote($name);
		$url			= handleSingleQuote($url);
		$description	= handleSingleQuote($description);

		if ( $name == "" )
		{
			$msg = "Empty Name entered. Please provide full information and then retry. -addUserWebsite-";
			return 0;
		}

		if ( $url == "" )
		{
			$msg = "Empty Url entered. Please provide full information and then retry. -addUserWebsite-";
			return 0;
		}

		if ( $description == "" )
		{
			$msg = "Empty Description entered. Please provide full information and then retry. -addUserWebsite-";
			return 0;
		}

		if ( $categoryId == "" )
		{
			$msg = "Empty Category entered. Please provide full information and then retry. -addUserWebsite-";
			return 0;
		}

		$newId = getNextId("USER_WEBSITE");
		$sql = "INSERT INTO ".PREFIX."USER_WEBSITE(ID, USERID, WEBSITE_NAME, WEBSITE_URL, DESCRIPTION, CATEGORY_ID, ALEXA_RANKING, WEBSITE_TAGS, LAST_UPDATED) VALUES('".$newId."', '".$userId."', '".$name."', '".$url."', '".$description."', '".$categoryId."', '".str_replace(',', '', getAlexaRanking($url))."', '".$websiteTags."', '".getTimezoneTime($TIMEZONE)."')";
		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "2";
			return $newId;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function updateUserWebsite($msg, $id, $userId, $name, $url, $description, $categoryId, $websiteTags)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -updateUserWebsite-";
			return 0;
		}

		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserWebsite-";
			return 0;
		}

		$name			= handleSingleQuote($name);
		$url			= handleSingleQuote($url);
		$description	= handleSingleQuote($description);

		if ( $name == "" )
		{
			$msg = "Empty Name entered. Please provide full information and then retry. -updateUserWebsite-";
			return 0;
		}

		if ( $url == "" )
		{
			$msg = "Empty Url entered. Please provide full information and then retry. -updateUserWebsite-";
			return 0;
		}

		if ( $description == "" )
		{
			$msg = "Empty Description entered. Please provide full information and then retry. -updateUserWebsite-";
			return 0;
		}

		if ( $categoryId == "" )
		{
			$msg = "Empty Category entered. Please provide full information and then retry. -updateUserWebsite-";
			return 0;
		}

		$sql = "UPDATE ".PREFIX."USER_WEBSITE SET USERID = '".$userId."', WEBSITE_NAME = '".$name."', WEBSITE_URL = '".$url."', DESCRIPTION = '".$description."', CATEGORY_ID = '".$categoryId."', WEBSITE_TAGS = '".$websiteTags."', LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE ID = '".$id."'";
		
		$res		= executeUpdate($sql);
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function updateUserActive($msg, $userId, $isValid)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserProfile-";
			return 0;
		}

		$sql = "UPDATE ".PREFIX."USER SET ISVALID = '".$isValid."' WHERE USERID = '".$userId."'";
		
		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function deleteUser($msg, $userId)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserId passed. -deleteUser-";
			return 0;
		}

		executeUpdate("DELETE FROM ".PREFIX."USER WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USERINFO WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USERINFO_BUYER WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USER_WEBSITE WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USER_AD_PREFERENCES WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USER_BALANCE WHERE USERID='".$userId."'");
		executeUpdate("DELETE FROM ".PREFIX."USER_NETWORK_AD_CATEGORIES WHERE USERID='".$userId."'");

		deleteFolder("upload/users/".$userId);

		deleteUserAdProductByUser('', $userId);

		$msg  = "4";
	}

//*************************************************************************************************

	function newsletterSubscribe($msg, $email, $fname, $lname, $isSubscribed)
	{
		require_once(PATH."include/include_mailinglist.php");

		if ( $row = getRecord("MAILINGLIST_MEMBER", $email, "EMAIL") )
		{
			$mId = $row['ID'];

			if ( $isSubscribed == "Y" )
			{
				// Update Record
				$result = executeUpdate("UPDATE ".PREFIX."MAILINGLIST_MEMBER SET FIRST_NAME = '".$fname."', LAST_NAME = '".$lname."', ISSUBSCRIBED = 'Y' WHERE ID = '".$mId."'");

				// Delete Previous Selection
				executeUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID='".$mId."'");
				
				// Insert New Selection
				$resCat = executeQuery("SELECT ID FROM ".PREFIX."MAILINGLIST_CATEGORY WHERE ISVALID='Y'");
				while ( $rowCat = getRow($resCat) )
				{
					executeUpdate("INSERT INTO ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY(MEMBER_ID, CATEGORY_ID) VALUES('".$mId."', '".$rowCat['ID']."')");
				}

				if ( $result > 0 )
				{
					$msg = "Succesfully Subscribed";
					return 1;
				}
				else
				{
					$msg = "Unable to Subscribe";
					return 0;
				}
			}
			else
			{
				// Update Record, Insert Date of Unsubscribe
				$result = executeUpdate("UPDATE ".PREFIX."MAILINGLIST_MEMBER SET FIRST_NAME = '".$fname."', LAST_NAME = '".$lname."', ISSUBSCRIBED = 'N', UNSUBSCRIBED_ON = '".getTimezoneTime($TIMEZONE)."' WHERE ID = '".$mId."'");

				// Delete Previous Selection
				executeUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID = '".$mId."'");
			
				if ( $result > 0 )
				{
					$msg = "Succesfully Unsubscribed";
					return 1;
				}
				else
				{
					$msg = "Unable to Unsubscribe";
					return 0;
				}
			}		
		}
		else
		{
			// Keep UserID INVALID until he verifies his email address
			$newId	= getNextId("MAILINGLIST_MEMBER");
			$code	= '';// since we are not sending verification email getConfirmationCode();
			$result	= executeUpdate("INSERT INTO ".PREFIX."MAILINGLIST_MEMBER(ID, FIRST_NAME, LAST_NAME, EMAIL, VERIFICATION_CODE, ISSUBSCRIBED, SUBSCRIBED_ON, ISVALID) VALUES( '".$newId."' , '".$fname."', '".$lname."', '".$email."', '".$code."', '".$isSubscribed."', '".getTimezoneTime($TIMEZONE)."', 'Y')");

			if ( $result > 0 )
			{					
				// Delete Previous Selection
				executeUpdate("DELETE FROM ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY WHERE MEMBER_ID = '".$newId."'");

				// Insert New Selection
				// Insert New Selection
				$resCat = executeQuery("SELECT ID FROM ".PREFIX."MAILINGLIST_CATEGORY WHERE ISVALID='Y'");
				while ( $rowCat = getRow($resCat) )
				{
					executeUpdate("INSERT INTO ".PREFIX."MAILINGLIST_MEMBER_TO_CATEGORY(MEMBER_ID, CATEGORY_ID) VALUES('".$newId."', '".$rowCat['ID']."')");
				}

				// Send Verification Email
				$msg = "";
//				sendMailingListVerificationEmail(&$msg, $newId);

				if ( $result > 0 )
				{
					$msg = "Succesfully Subscribed";
					return 1;
				}
				else
				{
					$msg = "Unable to Subscribe";
					return 0;
				}
			}
			else
			{
				$msg = "Incomplete Form";
				return 0;
			}
		}
	}

//*************************************************************************************************

	function updateUserNetworkAds($msg, $userId, $showNetworkAds, $categories)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserID entered. Please provide userId and then retry. -updateUserNetworkAds-";
			return 0;
		}

		if ( $showNetworkAds == "" )
		{
			$msg = "1";
			return 0;
		}

		$res = executeUpdate("UPDATE ".PREFIX."USERINFO SET SHOW_NETWORK_ADS='".$showNetworkAds."' WHERE USERID = '".$userId."'");

		$res += executeUpdate("DELETE FROM ".PREFIX."USER_NETWORK_AD_CATEGORIES WHERE USERID = '".$userId."'");

		if ( is_array($categories) )
			foreach ( $categories as $category )
				$res += executeUpdate("INSERT INTO ".PREFIX."USER_NETWORK_AD_CATEGORIES(USERID, CATEGORY_ID) VALUES('".$userId."', '".$category."')");
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************
?>