<?php
//*************************************************************************************************
//
//		USER AD PRODUCT FUNCTIONS
//	
//*************************************************************************************************

	function addUserAdProduct($msg, $websiteId, $userId, $title, $adtype, $duration, $cost, $isValid)
	{
		$arrCheckEmpty = array('websiteId', 'userId', 'title', 'adtype', 'duration', 'cost', 'isValid');
		foreach ( $arrCheckEmpty as $field )
		{
			if ( $$field == "" )
			{
				$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -addUserAdProduct-";
				return 0;
			}
		}

		$title			= handleSingleQuote($title);
		$cost			= str_replace(',', '', $cost);

		$newId			= getNextId("USER_AD_PRODUCT");

		$res = executeUpdate("INSERT INTO ".PREFIX."USER_AD_PRODUCT (WEBSITE_ID, USERID, ID, TITLE, ADTYPE, DURATION, COST, ISVALID, CREATED_ON) VALUES('".$websiteId."', '".$userId."', '".$newId."', '".$title."', '".$adtype."', '".$duration."', '".$cost."', '".$isValid."', '".getTimezoneTime($TIMEZONE)."')");

		if ( $res > 0 )
		{
			$msg = 'Ad created successfully';
			return 1;
		}
		else
		{
			$msg = 'Ad creation failed.<br>Please contact webmaster for further assistance.<br>ECode:-addUserAdProduct-01';
			return 0;
		}
	}


//*************************************************************************************************

	// $isUpdateAll is used to update all columns (except ENUM columns) even if the value is empty. 
	// It is usually called in the update where TEXT values can be reset.
	//
	function updateUserAdProduct($msg, $id, $userId, $title, $duration, $cost, $isValid, $isUpdateAll=0)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -updateUserProfile-";
			return 0;
		}

		if ( $isUpdateAll == 1 )
		{
			$arrCheckEmpty = array('userId', 'title', 'duration', 'cost', 'isValid');
			foreach ( $arrCheckEmpty as $field )
			{
				if ( $$field == "" )
				{
					$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -updateUserAdProduct-";
					return 0;
				}
			}
		}

		$title			= handleSingleQuote($title);
		$cost			= str_replace(',', '', $cost);

		$sql = "UPDATE ".PREFIX."USER_AD_PRODUCT SET ";
		
		if ( $isUpdateAll == 1 || $userId != "" )			$sql .= "USERID = '".$userId."', ";
		if ( $isUpdateAll == 1 || $title != "" )			$sql .= "TITLE = '".$title."', ";
		if ( $isUpdateAll == 1 || $duration != "" )			$sql .= "DURATION = '".$duration."', ";
		if ( $isUpdateAll == 1 || $cost != "" )				$sql .= "COST = '".$cost."', ";
		if ( $isValid != "" )								$sql .= "ISVALID = '".$isValid."', ";

		$sql .= "LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE ID = '".$id."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
/*			if ( $isValid == 'N' )
				executeUpdate("UPDATE ".PREFIX."USER_AD_SOLD SET ISVALID='N' WHERE AD_PRODUCT_ID='".$id."'");*/
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function deleteUserAdProduct($msg, $id)
	{
		if ( $id == "" )
		{
			$msg = "Empty Id passed. -deleteUserAdProduct-";
			return 0;
		}

		$result = executeQuery("SELECT ID FROM ".PREFIX."USER_AD_SOLD WHERE AD_PRODUCT_ID='".$id."'");
		while ( $row = getRow($result) )
		{
			deleteUserAdSold('', $row['ID']);
		}

		executeUpdate("DELETE FROM ".PREFIX."USER_AD_PRODUCT WHERE ID='".$id."'");

		$msg  = "4";
	}

//*************************************************************************************************

	function deleteUserAdProductByUser($msg, $userId)
	{
		if ( $userId == "" )
		{
			$msg = "Empty UserId passed. -deleteUserAdProductByUser-";
			return 0;
		}

		$result = executeQuery("SELECT ID FROM ".PREFIX."USER_AD_PRODUCT WHERE USERID='".$userId."'");
		while ( $row = getRow($result) )
		{
			deleteUserAdProduct('', $row['ID']);
		}

		$msg  = "4";
	}

//*************************************************************************************************
?>