<?php
//*************************************************************************************************
//
//		USER AD PRODUCTS SOLD FUNCTIONS
//	
//*************************************************************************************************

	function addUserAdSold($msg, $userId, $productId, $ctUrl, $headlineText, $descriptionText, $startDate, $isValid, $isApproved)
	{
		$arrCheckEmpty = array('userId', 'productId', 'ctUrl', 'headlineText', 'descriptionText', 'startDate', 'isValid', 'isApproved');
		foreach ( $arrCheckEmpty as $field )
		{
			if ( $$field == "" )
			{
				$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -addUserAdSold-";
				return 0;
			}
		}

		$resAd = executeQuery("SELECT * FROM ".PREFIX."USER_AD_PRODUCT WHERE ID='".$productId."' AND ISVALID='Y'");
		if ( !($rowAd = getRow($resAd)) )
		{
			$msg = "Ad Product not found. Please retry. -addUserAdSold-";
			return 0;
		}

		$ctUrl				= handleSingleQuote($ctUrl);
		$headlineText		= handleSingleQuote($headlineText);
		$descriptionText	= handleSingleQuote($descriptionText);

		$today				= getTimezoneTime($TIMEZONE, 'Y-m-d');	// Get current date
		if ( $startDate == $today )
			$startTime = getTimezoneTime($TIMEZONE, 'H:i:s');		// Start right away if its today
		else
			$startTime = '00:00:01';								// Else start at midnight

		$newId				= getNextId("USER_AD_SOLD");

		$res = executeUpdate("INSERT INTO ".PREFIX."USER_AD_SOLD(ID, BUYERID, SELLERID, AD_PRODUCT_ID, COST, CLICKTHROUGH_URL, HEADLINE_TEXT, DESCRIPTION_TEXT, ISVALID, APPROVED, START_DATE, START_TIME, END_DATE, CREATED_ON, LAST_UPDATED) VALUES('".$newId."', '".$userId."', '".$rowAd['USERID']."', '".$productId."', '".$rowAd['COST']."', '".$ctUrl."', '".$headlineText."', '".$descriptionText."', '".$isValid."', '".$isApproved."', '".$startDate."', '".$startTime."', '".addDays($startDate, $rowAd['DURATION'])."', '".getTimezoneTime($TIMEZONE)."', '".getTimezoneTime($TIMEZONE)."')");

		if ( $res > 0 )
		{
			$msg = '2';
			return $newId;
		}
		else
		{
			$msg = '6';
			return 0;
		}
	}


//*************************************************************************************************

	// $isUpdateAll is used to update all columns (except ENUM columns) even if the value is empty. 
	// It is usually called in the update where TEXT values can be reset.
	//
	function updateUserAdSold($msg, $id, $userId, $productId, $ctUrl, $headlineText, $descriptionText, $startDate, $isValid, $isApproved, $isUpdateAll=0)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -updateUserAdSold-";
			return 0;
		}

		if ( $isUpdateAll == 1 )
		{
			$arrCheckEmpty = array('userId', 'productId', 'ctUrl', 'headlineText', 'descriptionText', 'startDate', 'isValid', 'isApproved');
			foreach ( $arrCheckEmpty as $field )
			{
				if ( $$field == "" )
				{
					$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -updateUserAdSold-";
					return 0;
				}
			}
		}

		if ( $isUpdateAll == 1 || $productId != "" )
		{
			$resAd = executeQuery("SELECT * FROM ".PREFIX."USER_AD_PRODUCT WHERE ID='".$productId."' AND ISVALID='Y'");
			if ( !($rowAd = getRow($resAd)) )
			{
				$msg = "Ad Product not found. Please retry. -updateUserAdSold-";
				return 0;
			}
		}

		$ctUrl				= handleSingleQuote($ctUrl);
		$headlineText		= handleSingleQuote($headlineText);
		$descriptionText	= handleSingleQuote($descriptionText);

		$sql = "UPDATE ".PREFIX."USER_AD_SOLD SET ";
		
		if ( $isUpdateAll == 1 || $userId != "" )			$sql .= "BUYERID = '".$userId."', ";
		if ( $isUpdateAll == 1 || $productId != "" )		$sql .= "SELLERID = '".$userId."', ";
		if ( $isUpdateAll == 1 || $ctUrl != "" )			$sql .= "CLICKTHROUGH_URL = '".$ctUrl."', ";
		if ( $isUpdateAll == 1 || $headlineText != "" )		$sql .= "HEADLINE_TEXT = '".$headlineText."', ";
		if ( $isUpdateAll == 1 || $descriptionText != "" )	$sql .= "DESCRIPTION_TEXT = '".$descriptionText."', ";
		if ( $isUpdateAll == 1 || $startDate != "" )
		{
			$today				= getTimezoneTime($TIMEZONE, 'Y-m-d');	// Get current date
			if ( $startDate == $today )
				$startTime = getTimezoneTime($TIMEZONE, 'H:i:s');		// Start right away if its today
			else
				$startTime = '00:00:01';								// Else start at midnight

			$sql .= "START_DATE = '".$startDate."', ";
			$sql .= "START_TIME = '".$startTime."', ";
			$sql .= "END_DATE = '".addDays($startDate, $rowAd['DURATION'])."', ";
		}
		if ( $isApproved != "" )							$sql .= "APPROVED = '".$isApproved."', ";
		if ( $isValid != "" )								$sql .= "ISVALID = '".$isValid."', ";

		$sql .= "LAST_UPDATED = '".getTimezoneTime($TIMEZONE)."' WHERE ID = '".$id."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function editUserAdSold($msg, $id, $edited, $ctUrl, $headlineText, $descriptionText)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -editUserAdSold-";
			return 0;
		}

		$arrCheckEmpty = array('edited', 'ctUrl', 'headlineText', 'descriptionText');
		foreach ( $arrCheckEmpty as $field )
		{
			if ( $$field == "" )
			{
				$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -editUserAdSold-";
				return 0;
			}
		}

		$ctUrl				= handleSingleQuote($ctUrl);
		$headlineText		= handleSingleQuote($headlineText);
		$descriptionText	= handleSingleQuote($descriptionText);

		$sql = "UPDATE ".PREFIX."USER_AD_SOLD SET EDITED = '".$edited."', EDITED_CLICKTHROUGH_URL = '".$ctUrl."', EDITED_HEADLINE_TEXT = '".$headlineText."', EDITED_DESCRIPTION_TEXT = '".$descriptionText."' WHERE ID = '".$id."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function editUserAdSoldPayPerClick($msg, $id, $clicks, $amount)
	{
		if ( $id == "" )
		{
			$msg = "Empty ID entered. Please provide Id and then retry. -editUserAdSoldPayPerClick-";
			return 0;
		}

		$arrCheckEmpty = array('clicks', 'amount');
		foreach ( $arrCheckEmpty as $field )
		{
			if ( $$field == "" )
			{
				$msg = "Empty ".$field." entered. Please provide ".$field." and then retry. -editUserAdSoldPayPerClick-";
				return 0;
			}
		}

		$sql = "UPDATE ".PREFIX."USER_AD_SOLD SET PAYPERCLICK_COST = COST, COST = '".$amount."', PAYPERCLICK_CLICKS = '".$clicks."' WHERE ID = '".$id."'";

		$res		= executeUpdate($sql);
		
		if ( $res > 0 )
		{
			$msg = "3";
			return 1;
		}
		else
		{
			$msg = "6";
			return 0;
		}

	}

//*************************************************************************************************

	function deleteUserAdSold($msg, $id)
	{
		if ( $id == "" )
		{
			$msg = "Empty Id passed. -deleteUserAdSold-";
			return 0;
		}

		executeUpdate("DELETE FROM ".PREFIX."USER_AD_SOLD WHERE ID='".$id."'");
		executeUpdate("DELETE FROM ".PREFIX."CLICKTHROUGH WHERE AD_SOLD_ID='".$id."'");
		executeUpdate("DELETE FROM ".PREFIX."IMPRESSIONS WHERE AD_SOLD_ID='".$id."'");

		$msg  = "4";
	}

//*************************************************************************************************
?>